from rest_framework import serializers
from org_authz.models import Organization, OrganizationProfile


class OrganizationProfileSerializer(serializers.ModelSerializer):
    class Meta:
        model = OrganizationProfile
        fields = "__all__"


class OrganizationSerializer(serializers.ModelSerializer):
    profile = OrganizationProfileSerializer(read_only=True)

    class Meta:
        model = Organization
        fields = "__all__"
